Summary: The obsolete configuration file and editor for pam
Name: pamconfig
Version: 0.51
Release: 2
Copyright: GPL or BSD
Group: Base
Source: pamconfig-0.51.tar.gz
Packager: Frank Meurer <meurer@gmx.de>
BuildRoot: /tmp/pam
Requires: pam >= 0.56

%description
This package has been made obsolete by pam-0.56, and is provided for
compatibility purposes only.  If the command:

  rpm -q --whatrequires pamconfig

returns no package names, you may remove this package with:

  rpm -e pamconfig

%changelog

* Wed Oct  3 2001 Frank Meurer <meurer@gmx.de>

- Linux/mac68k

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

- Don'e verify md5sum, size, or timestamp of /etc/pam.conf.

%prep
%setup -n pamconfig-0.51

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/sbin
cp pam.conf $RPM_BUILD_ROOT/etc
cp pamconfig $RPM_BUILD_ROOT/sbin

%post
# comment out entries from pam.conf that are already in pam.d
if $(grep 'THIS FILE IS NOW OBSOLETE' /etc/pam.conf > /dev/null); then : ; else
  TPC=/tmp/pam.$$.conf
  cp /etc/pam.conf $TPC
  echo '#
#  THIS FILE IS NOW OBSOLETE
#
#  The contents of this file should be replaced by files in the
#  /etc/pam.d/ directory.
#
#' > $TPC
  cat /etc/pam.conf >> $TPC
  mv $TPC /etc/pam.conf
fi
[ -d /etc/pam.d ] && {
  for file in $(cd /etc/pam.d/; echo * | grep -v '\.'rpm) ; do
    pamconfig --remove --service=$file
  done
}

exit 0

%files
%verify(not size md5 mtime) %config /etc/pam.conf
/sbin/pamconfig

